//CET.cpp
#include "stdafx.h"
#include "CET.h"
#include "Database.h"
#include "User.h"

extern User user;

CET::CET()
{
}


CET::~CET()
{
}

bool CET::Register()
{
	DataBase ado;
	CString sql;
	sql.Format(L"insert into Students_CET(Student_No, CET_Name) values('%s', '%s')", user.GetNo(), mType);
	return ado.ExecuteSQL((_bstr_t)sql);
}
vector<CETScore> CET::GetCETScore()
{
	if (mCETScore.size() == 0)
	{
		DataBase ado;
		CString sql;
		sql.Format(L"select * from CET_Score where Student_No = '%s' order by RegisterTime", user.GetNo());
		try
		{
			ado.GetRecordSet((_bstr_t)sql);
			if (ado.HaveRset())
			{
				CETScore tt;
				ado.mRecordsetPtr->MoveFirst();
				while (!ado.mRecordsetPtr->GetEndOfFile())
				{
					tt.SetTime(ado.mRecordsetPtr->GetCollect("RegisterTime"));
					tt.SetType(ado.mRecordsetPtr->GetCollect("CET_Name"));
					tt.SetScore(ado.mRecordsetPtr->GetCollect("Score"));
					mCETScore.push_back(tt);
					ado.mRecordsetPtr->MoveNext();
				}
			}
		}
		catch (_com_error &e)
		{
			AfxMessageBox(e.Description());
		}
	}
	return mCETScore;
}

vector<CString> CET::GetRegisterInfo()
{
	DataBase ado;
	CString sql;
	vector<CString> info;
	sql.Format(L"select * from Students_CET where Student_No = '%s'", user.GetNo());
	try
	{
		ado.GetRecordSet((_bstr_t)sql);
		if (ado.HaveRset())
		{
			CString tt;
			ado.mRecordsetPtr->MoveFirst();
			while (!ado.mRecordsetPtr->GetEndOfFile())
			{
				tt = ado.mRecordsetPtr->GetCollect("CET_Name");
				info.push_back(tt);
				ado.mRecordsetPtr->MoveNext();
			}
		}
	}
	catch (_com_error &e)
	{
		AfxMessageBox(e.Description());
	}
	return info;
}

bool CET::DeleteRegister(CString type)
{
	DataBase ado;
	CString sql;
	sql.Format(L"delete Students_CET where Student_No = '%s' and CET_Name = '%s'", user.GetNo(), type);
	return ado.ExecuteSQL((_bstr_t)sql);
}

void CET::SetType(CString type)
{
	mType = type;
}