//CET.h
#ifndef CET_H
#define CET_H

#pragma once

#include "vector"

using namespace std;

class CETScore
{
private:
	CString mType;
	int mScore;
	CString mTime;

public:
	void SetType(CString type){
		mType = type;
	}
	CString GetType(){
		return mType;
	}
	void SetScore(int score){
		mScore = score;
	}
	int GetScore(){
		return mScore;
	}
	void SetTime(CString time){
		mTime = time;
	}
	CString GetTime(){
		return mTime;
	}
};


class CET
{
public:
	CET();
	~CET();

	//bool IsLock();
	bool Register();
	void SetType(CString type);
	vector<CString> GetRegisterInfo();
	vector<CETScore> GetCETScore();
	bool DeleteRegister(CString type);
private:
	CString mType;
	vector<CETScore> mCETScore;
};

#endif