// CETDlg.cpp : ʵļ
//

#include "stdafx.h"
#include "StudentSystem.h"
#include "CETDlg.h"
#include "afxdialogex.h"
#include "DataBase.h"
#include "User.h"

extern User user;

// CCETDlg Ի

IMPLEMENT_DYNAMIC(CCETDlg, CDialogEx)

CCETDlg::CCETDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(CCETDlg::IDD, pParent)
{

}

CCETDlg::~CCETDlg()
{
}

void CCETDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CET_CHOOSE, mChoose);
	DDX_Control(pDX, IDC_CET_LIST, mList);
}


BEGIN_MESSAGE_MAP(CCETDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &CCETDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDC_REFRESH, &CCETDlg::OnBnClickedRefresh)
	ON_BN_CLICKED(IDC_DELETE, &CCETDlg::OnBnClickedDelete)
END_MESSAGE_MAP()


// CCETDlg Ϣ

BOOL CCETDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();
	mChoose.AddString(L"ļ");
	DataBase ado;
	CString sql;
	sql.Format(L"select * from CET_Score where Student_No = '%s' and CET_Name = 'CET4' and Score >= 425", user.GetNo());
	try
	{
		ado.GetRecordSet((_bstr_t)sql);
		if (ado.HaveRset())
		{
			mChoose.AddString(L"");
		}
	}
	catch (_com_error &e)
	{
		AfxMessageBox(e.Description());
	}

	mList.SetExtendedStyle(LVS_EX_GRIDLINES | LVS_EX_FULLROWSELECT);
	mList.InsertColumn(0, L"", LVCFMT_LEFT, 100, -1);
	mList.InsertColumn(1, L"ѧ", LVCFMT_LEFT, 100, -1);
	mList.InsertColumn(2, L"CETȼ", LVCFMT_LEFT, 70, -1);

	OnBnClickedRefresh();
	return FALSE;
}


void CCETDlg::OnBnClickedOk()
{
	// TODO:  ڴӿؼ֪ͨ
	UpdateData(TRUE);
	CString cetLevel;
	mChoose.GetLBText(mChoose.GetCurSel(), cetLevel);
	if (cetLevel.IsEmpty())
	{
		AfxMessageBox(L"ѡCETȼ");
		return;
	}
	mCet.SetType(cetLevel);
	if (mCet.Register())
	{
		AfxMessageBox(L"ɹ");
	}
	else
	{
		AfxMessageBox(L"ʧܣ");
	}
	OnBnClickedRefresh();
	//CDialogEx::OnOK();
}


void CCETDlg::OnBnClickedRefresh()
{
	// TODO:  ڴӿؼ֪ͨ
	mList.DeleteAllItems();
	vector<CString> cetRegister;
	cetRegister = mCet.GetRegisterInfo();

	int i, n = 0;
	for (vector<CString>::iterator iter(cetRegister.begin()); iter != cetRegister.end(); ++iter)
	{
		i = mList.InsertItem(n, _bstr_t(user.GetName()));
		mList.SetItemText(i, 1, _bstr_t(user.GetNo()));
		mList.SetItemText(i, 2, _bstr_t(*iter));
		n++;
	}
	UpdateData(FALSE);
}


void CCETDlg::OnBnClickedDelete()
{
	// TODO:  ڴӿؼ֪ͨ
	POSITION pos;
	pos = mList.GetFirstSelectedItemPosition();
	if (pos)
	{
		int Item = mList.GetNextSelectedItem(pos);
		CString cetLevel(mList.GetItemText(Item, 2));
		if (AfxMessageBox(L"ȷɾCET " + cetLevel + "?!", MB_OKCANCEL) == IDOK)
		{
			if (mCet.DeleteRegister(cetLevel))
			{
				AfxMessageBox(L"ɾɹ");
			}
			else
			{
				AfxMessageBox(L"ɾʧܣ");
			}
			OnBnClickedRefresh();
		}
	}
	else
	{
		AfxMessageBox(L"ѡҪɾѡ");
	}
}
