//Notice.h
#ifndef NOTICE_H
#define NOTICE_H
#include <vector>

using namespace std;

#pragma once

struct NoticeItem
{
	DATE time;
	CString grade;
	CString content;
};

class Notice
{
public:
	Notice();
	~Notice();
	void GetAllNotice();
	NoticeItem GetNotice(int i);
	void MoveFirst();
	void MoveNext();
	void MovePrevious();
	void MoveLast();
	bool GetEndOfNotice();
public:
	NoticeItem currentNotice;
private:
	int cur;
	vector<NoticeItem> mNotice;
};

#endif