-- --------------------------------------------------------
-- 主机:                           127.0.0.1
-- 服务器版本:                        5.6.23 - MySQL Community Server (GPL)
-- 服务器操作系统:                      Win64
-- HeidiSQL 版本:                  9.1.0.4867
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 导出 onlinerest 的数据库结构
CREATE DATABASE IF NOT EXISTS `onlinerest` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `onlinerest`;


-- 导出  表 onlinerest.admin 结构
CREATE TABLE IF NOT EXISTS `admin` (
  `id` int(3) unsigned NOT NULL,
  `user` varchar(30) NOT NULL,
  `pwd` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 正在导出表  onlinerest.admin 的数据：1 rows
DELETE FROM `admin`;
/*!40000 ALTER TABLE `admin` DISABLE KEYS */;
INSERT INTO `admin` (`id`, `user`, `pwd`) VALUES
	(1, 'admin', 'admin');
/*!40000 ALTER TABLE `admin` ENABLE KEYS */;


-- 导出  表 onlinerest.caidan 结构
CREATE TABLE IF NOT EXISTS `caidan` (
  `cid` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `cname` varchar(100) NOT NULL,
  `cprice` int(3) unsigned NOT NULL,
  `cspic` varchar(255) NOT NULL,
  `cpicpath` varchar(255) NOT NULL,
  PRIMARY KEY (`cid`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

-- 正在导出表  onlinerest.caidan 的数据：4 rows
DELETE FROM `caidan`;
/*!40000 ALTER TABLE `caidan` DISABLE KEYS */;
INSERT INTO `caidan` (`cid`, `cname`, `cprice`, `cspic`, `cpicpath`) VALUES
	(1, '豆腐', 7, '', '925b21fd3f5deaa6f692f3644705fe15.png'),
	(2, '烤鸭', 24, '', '1f81c86f91f0797bf2cad894032a5029.png'),
	(3, '木须肉', 20, '', 'ad95cc0520cb6e98718cb1e8ec6b3e54.png'),
	(4, '紫菜蛋花汤', 6, '', 'a9e94a02b2eec556c5b853b6311bcff0.png');
/*!40000 ALTER TABLE `caidan` ENABLE KEYS */;


-- 导出  表 onlinerest.form 结构
CREATE TABLE IF NOT EXISTS `form` (
  `oid` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `user` varchar(30) NOT NULL,
  `canlei` int(1) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `price` int(3) unsigned NOT NULL,
  `num` int(3) unsigned NOT NULL,
  `rice` int(1) unsigned NOT NULL,
  `call` varchar(15) NOT NULL,
  `address` text NOT NULL,
  `ip` varchar(15) NOT NULL,
  `btime` datetime NOT NULL,
  `addons` text NOT NULL,
  `state` tinyint(1) NOT NULL,
  PRIMARY KEY (`oid`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- 正在导出表  onlinerest.form 的数据：3 rows
DELETE FROM `form`;
/*!40000 ALTER TABLE `form` DISABLE KEYS */;
INSERT INTO `form` (`oid`, `user`, `canlei`, `name`, `price`, `num`, `rice`, `call`, `address`, `ip`, `btime`, `addons`, `state`) VALUES
	(1, '哈哈', 3, '烤鸭', 24, 1, 1, '67781234', '西门', '128.1.1.1', '2017-10-18 23:07:39', '多点', 0),
	(2, '222', 3, '紫菜蛋花汤', 1, 1, 0, '67975555', '东路', '128.1.2.4', '2017-10-18 23:23:45', '无语', 0),
	(3, '吃饭那', 1, '豆腐', 7, 1, 1, '46333333', '5楼', '128.0.0.1', '2017-10-18 23:55:47', '微辣', 0);
/*!40000 ALTER TABLE `form` ENABLE KEYS */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
