//DataBase.cpp
#include "stdafx.h"
#include "DataBase.h"

DataBase::DataBase()
{
	try
	{
		mConnectionPtr.CreateInstance(__uuidof(Connection));
		mRecordsetPtr.CreateInstance(__uuidof(Recordset));
		OnInitADOConn();
	}
	catch (_com_error &e)
	{
		AfxMessageBox(e.Description());
	}
}


DataBase::~DataBase()
{
	ExitConnect();
}

void DataBase::GetRecordSet(_bstr_t bstrSQL)
{
	try
	{
		if (mConnectionPtr == NULL)
		{
			OnInitADOConn();
		}

		if (mRecordsetPtr->State == adStateOpen)
			mRecordsetPtr->Close();

		mRecordsetPtr->Open(bstrSQL, mConnectionPtr.GetInterfacePtr(), adOpenDynamic, adLockOptimistic, adCmdText);
	}
	catch (_com_error& e)
	{
		AfxMessageBox(e.Description());
	}
}

bool DataBase::ExecuteSQL(_bstr_t bstrSQL)
{
	try
	{
		if (mConnectionPtr == NULL)
		{
			OnInitADOConn();	//ʼӶ
		}
		mConnectionPtr->Execute(bstrSQL, NULL, adCmdText);	//ִSQL

		return TRUE;
	}
	catch (_com_error &e)
	{
		AfxMessageBox(e.Description());
	}
	return FALSE;
}

bool DataBase::HaveRset()
{
	if (mRecordsetPtr->BOF && mRecordsetPtr->EndOfFile)
	{
		return FALSE;
	}
	else
	{
		return TRUE;
	}
}

void DataBase::OnInitADOConn()
{
	try
	{
		mConnectionPtr->Open("Provider=SQLOLEDB.1;Password=111111;Persist Security Info=True;User ID=ca;Initial Catalog=StudentManage;Data Source=127.0.0.1", \
			"", "", adModeUnknown);
	}
	catch (_com_error &e)
	{
		AfxMessageBox(e.Description());
	}
}
void DataBase::ExitConnect()
{
	try
	{
		if (mRecordsetPtr->State == adStateOpen)
		{
			
			mRecordsetPtr->Close();	//رռ¼
		}
	}
	catch (_com_error &e)
	{
		AfxMessageBox(e.Description());
	}

	try
	{
		mConnectionPtr->Close();		//ر
	}
	catch (_com_error &e)
	{
		AfxMessageBox(e.Description());
	}
}

