// NormalScoreViewDlg.cpp : ʵļ
//

#include "stdafx.h"
#include "StudentSystem.h"
#include "NormalScoreViewDlg.h"
#include "afxdialogex.h"
#include "NormalScore.h"
#include "Course.h"
#include "User.h"

extern User user;

// CNormalScoreViewDlg Ի

IMPLEMENT_DYNAMIC(CNormalScoreViewDlg, CDialogEx)

CNormalScoreViewDlg::CNormalScoreViewDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(CNormalScoreViewDlg::IDD, pParent)
	, mTip(_T(""))
{

}

CNormalScoreViewDlg::~CNormalScoreViewDlg()
{
}

void CNormalScoreViewDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_TIP, mTip);
	DDX_Control(pDX, IDC_SCORELIST, mScoreList);
}


BEGIN_MESSAGE_MAP(CNormalScoreViewDlg, CDialogEx)
END_MESSAGE_MAP()


// CNormalScoreViewDlg Ϣ

BOOL CNormalScoreViewDlg::OnInitDialog()
{

	CDialogEx::OnInitDialog();

	mScoreList.SetExtendedStyle(LVS_EX_FULLROWSELECT | LVS_EX_GRIDLINES);
	mScoreList.InsertColumn(0, L"γ", LVCFMT_LEFT, 200, -1);
	mScoreList.InsertColumn(1, L"γ̱", LVCFMT_LEFT, 100, -1);
	mScoreList.InsertColumn(2, L"ѧ", LVCFMT_LEFT, 90, -1);
	mScoreList.InsertColumn(3, L"ɼ", LVCFMT_LEFT, 90, -1);

	NormalScore nScore;
	vector<Course> score;
	score = nScore.GetScore();
	int i, n = 0;
	int tt;
	CString ttt;
	for (vector<Course>::iterator iter(score.begin()); iter != score.end(); ++iter)
	{
		i = mScoreList.InsertItem(n, _bstr_t(iter->GetCourseName()));
		mScoreList.SetItemText(i, 1, _bstr_t(iter->GetCourseNo()));
		mScoreList.SetItemText(i, 2, _bstr_t(iter->GetCourseCredit()));
		
		tt = iter->GetCourseScore();
		if (tt < 0 || tt > 100)
		{
			switch (tt)
			{
			case 101:
				ttt = ""; break;
			case 102:
				ttt = ""; break;
			case 103:
				ttt = "е"; break;
			case 104:
				ttt = ""; break;
			case 105:
				ttt = ""; break;
			case -9:
				ttt = "δ"; break;
			case -1:
				ttt = ""; break;
			case -2:
				ttt = "ȱ"; break;
			case -3:
				ttt = ""; break;
			default:
				break;
			}
		}
		else
		{
			ttt.Format(L"%d", tt);
		}
		mScoreList.SetItemText(i, 3, _bstr_t(ttt));
		n++;
	}

	mTip.Format(user.GetName() + "ãĳɼ£");
	UpdateData(FALSE);
	return FALSE;
}