// NoticeInfo.cpp : ʵļ
//

#include "stdafx.h"
#include "StudentSystem.h"
#include "NoticeInfo.h"
#include "afxdialogex.h"


// CNoticeInfo Ի

IMPLEMENT_DYNAMIC(CNoticeInfo, CDialogEx)

CNoticeInfo::CNoticeInfo(CWnd* pParent /*=NULL*/)
	: CDialogEx(CNoticeInfo::IDD, pParent)
	, mContent(_T(""))
	, mDate(_T(""))
	, mGrade(_T(""))
{

}

CNoticeInfo::~CNoticeInfo()
{
}

void CNoticeInfo::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_NOTICE_CONTENT, mContent);
	DDX_Text(pDX, IDC_NOTICE_DATE, mDate);
	DDX_Text(pDX, IDC_NOTICE_GRADE, mGrade);
}


BEGIN_MESSAGE_MAP(CNoticeInfo, CDialogEx)
END_MESSAGE_MAP()


// CNoticeInfo Ϣ

INT_PTR CNoticeInfo::DoModal(NoticeItem &item)
{
	mNotice = item;
	return CDialogEx::DoModal();
}

BOOL CNoticeInfo::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	COleDateTime Date;
	if (mNotice.time != 0)
	{
		Date = mNotice.time;
		mDate = Date.Format(L"%Y-%m-%d");
	}
	mGrade = mNotice.grade;
	mContent = L"    " + mNotice.content;
	UpdateData(FALSE);
	return FALSE;
}