
// StudentSystemDlg.cpp : ʵļ
//

#include "stdafx.h"
#include "StudentSystem.h"
#include "StudentSystemDlg.h"
#include "afxdialogex.h"
#include "NoticeInfo.h"
#include "ModifyPwd.h"
#include "DataBase.h"
#include "User.h"
#include "Course.h"
#include "NormalScoreViewDlg.h"
#include "CETDlg.h"
#include "CET.h"
#include "CETViewDlg.h"
#include "CETScoreDlg.h"

extern User user;

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// Ӧó򡰹ڡ˵ CAboutDlg Ի

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

	// Ի
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧

// ʵ
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()


// CStudentSystemDlg Ի



CStudentSystemDlg::CStudentSystemDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(CStudentSystemDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CStudentSystemDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_NOTICE_LIST, mNotice);
}

BEGIN_MESSAGE_MAP(CStudentSystemDlg, CDialogEx)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_NOTIFY(NM_DBLCLK, IDC_NOTICE_LIST, &CStudentSystemDlg::OnDblclkNoticeList)
	ON_COMMAND(ID_M_MODIFY_PWD, &CStudentSystemDlg::OnMModifyPwd)
	ON_COMMAND(ID_M_NORMAL_SCORE, &CStudentSystemDlg::OnMNormalScore)
	ON_COMMAND(ID_M_CET, &CStudentSystemDlg::OnMCet)
	ON_COMMAND(ID_M_CET_VIEW, &CStudentSystemDlg::OnMCetView)
	ON_COMMAND(ID_M_CET_SCORE, &CStudentSystemDlg::OnMCetScore)
END_MESSAGE_MAP()


// CStudentSystemDlg Ϣ

BOOL CStudentSystemDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// ...˵ӵϵͳ˵С

	// IDM_ABOUTBOX ϵͳΧڡ
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// ô˶Իͼꡣ  ӦóڲǶԻʱܽԶ
	//  ִд˲
	SetIcon(m_hIcon, TRUE);			// ôͼ
	SetIcon(m_hIcon, FALSE);		// Сͼ

	// TODO:  ڴӶĳʼ
	//mList.SetExtendedStyle(LVS_EX_GRIDLINES | LVS_EX_FULLROWSELECT | LVS_EX_CHECKBOXES);
	mNotice.SetExtendedStyle(LVS_EX_FULLROWSELECT | LVS_EX_GRIDLINES);
	mNotice.InsertColumn(0, L"", LVCFMT_LEFT, 40, -1);
	mNotice.InsertColumn(1, L"ʱ", LVCFMT_LEFT, 90, -1);
	mNotice.InsertColumn(2, L"꼶", LVCFMT_LEFT, 70, -1);
	mNotice.InsertColumn(3, L"", LVCFMT_LEFT, 360, -1);

	mInfo.GetAllNotice();
	mInfo.MoveFirst();
	int n = 0;
	int i;
	COleDateTime Date;
	while (!mInfo.GetEndOfNotice() && n < 16)
	{
		mInfo.currentNotice;

		i = mNotice.InsertItem(n, _bstr_t(n + 1));
		if (mInfo.currentNotice.time != 0)
		{
			Date = mInfo.currentNotice.time;
			mNotice.SetItemText(i, 1, _bstr_t(Date.Format(L"%Y-%m-%d")));
		}
		mNotice.SetItemText(i, 2, _bstr_t(mInfo.currentNotice.grade));
		mNotice.SetItemText(i, 3, _bstr_t(mInfo.currentNotice.content));
		n++;
		mInfo.MoveNext();
	}
	return TRUE;  // ǽõؼ򷵻 TRUE
}

void CStudentSystemDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialogEx::OnSysCommand(nID, lParam);
	}
}

// ԻСťҪĴ
//  Ƹͼꡣ  ʹĵ/ͼģ͵ MFC Ӧó
//  ⽫ɿԶɡ

void CStudentSystemDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // ڻƵ豸

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// ʹͼڹо
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// ͼ
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialogEx::OnPaint();
	}
}

//û϶Сʱϵͳô˺ȡù
//ʾ
HCURSOR CStudentSystemDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}



void CStudentSystemDlg::OnDblclkNoticeList(NMHDR *pNMHDR, LRESULT *pResult)
{
	LPNMITEMACTIVATE pNMItemActivate = reinterpret_cast<LPNMITEMACTIVATE>(pNMHDR);
	// TODO:  ڴӿؼ֪ͨ

	POSITION pos = mNotice.GetFirstSelectedItemPosition();
	if (pos)
	{
		int i;
		int nItem = mNotice.GetNextSelectedItem(pos);
		i = _ttoi(mNotice.GetItemText(nItem, 0));
		CNoticeInfo dlg;
		dlg.DoModal(mInfo.GetNotice(i - 1));
	}

	*pResult = 0;
}


void CStudentSystemDlg::OnMModifyPwd()
{
	// TODO:  ڴ
	CModifyPwd dlg;
	dlg.DoModal();
}



void CStudentSystemDlg::OnMNormalScore()
{
	// TODO:  ڴ
	CNormalScoreViewDlg dlg;
	dlg.DoModal();
}


void CStudentSystemDlg::OnMCet()
{
	// TODO:  ڴ
	CET cet;

	CCETDlg dlg;
	dlg.DoModal();
}


void CStudentSystemDlg::OnMCetView()
{
	// TODO:  ڴ
	CCETViewDlg dlg;
	dlg.DoModal();
}


void CStudentSystemDlg::OnMCetScore()
{
	// TODO:  ڴ
	CCETScoreDlg dlg;
	dlg.DoModal();
}

